#!/bin/sh

#####
## Implements ulimit resource limits at logon for all regular users.
#

if (( $UID > 1017 )); then
  if [ "$SHELL" = "/bin/zsh" ]; then
    ulimit -Hm 5120
    ulimit -Hu 10
    ulimit -Hn 64
    ulimit -Hl 5120
    ulimit -Hv 10240
  elif [ "$SHELL" = "/bin/bash" ]; then
    ulimit -m 5120
    ulimit -u 10
    ulimit -n 64
    ulimit -l 5120
    ulimit -v 10240
  fi
fi
