#!/usr/bin/perl

sub between {
        my($inpstr,$first,$last) = @_;
        $tuba = index($inpstr,$first);
        my $start = $tuba + length($first);
        $end = index($inpstr,$last);
        $thelen = $end - $start;
        $outstr = substr($inpstr,$start,$thelen);
return $outstr;
}

############################# Logging functions

sub errlog {
	my($service,$errmsg) = @_;
	chomp($errmsg);
        if (open(ERRLOG, ">>$ABSOLUTE_PATH/logs/error.log")) {
		my $date = `date +"%D %T"`;chomp($date);
		my $header = " $date ($0): ";
                print ERRLOG $service.$header.$errmsg."\n";
                close(ERRLOG);
        } else {
	        die("CRITICAL ERROR: Could Not Open Error Log for writing.\nSub-Error: $errmsg\n");
        }
}

sub wr_log {
	my($service,$message) = @_;
	chomp($message);
	if (open(LOG,">>$ABSOLUTE_PATH/logs/netadmin.log")) {
		my $date = `date +"%D %T"`;chomp($date);
		print LOG "$service $date: $message\n";
		close(LOG);
	} else {
		errlog("wr_log","Could not open netadmin.log for writing.");
	}
}

return 1;

