#!/usr/bin/perl

################################## Password functions

sub newsalt {
        srand();
        my @charset = ('a'..'z', 'A'..'Z', '0'..'9');
        my $length_desired = 8;
        my $random_string = "";
        for ($n = 1;$n <= $length_desired;$n++) {
                $random_string .= $charset[rand $#charset];
        }
        return $random_string;
}

sub write_shadow {
my($SHADOW) = @_;
	# Strip any trailing newlines.
	while ($SHADOW =~ /\n$/) {
		chomp($SHADOW);
	}
	### Write the shadow file. Update NIS database.
	if (length($SHADOW) > 100) {
		system("touch /etc/shadow.new");
		system("chmod 600 /etc/shadow.new");
		open(FILE,">/etc/shadow.new") || return 0;
		flock(FILE,LOCK_EX);

		print FILE $SHADOW."\n";

		flock(FILE,LOCK_UN);
		close(FILE);
		system("cp -p /etc/shadow /etc/shadow.bak");
		system("chmod 600 /etc/shadow.bak");
		system("cp -p /etc/shadow.new /etc/shadow");
	} else {
		return 0;
	}
	ypsync();
	return 1;

# End sub write_shadow.
}

sub ypsync {
	my $curdir=`pwd`;
	chomp($curdir);
	chdir("/var/yp/vsn");
	system("make -f ../Makefile passwd shadow group >/vsn/admin/log/nis.debug 2>&1");
	chdir($curdir);
	return 1;
}

return 1;

